#include "GameObjective_ActivatedGenerators_FuelGenerators.h"
#include "Net/UnrealNetwork.h"

void AGameObjective_ActivatedGenerators_FuelGenerators::OnRep_StandardGeneratorCount(int32 previousCount)
{

}

void AGameObjective_ActivatedGenerators_FuelGenerators::OnRep_FuelGeneratorCount(int32 previousCount)
{

}

int32 AGameObjective_ActivatedGenerators_FuelGenerators::GetStandardGeneratorCount() const
{
	return 0;
}

int32 AGameObjective_ActivatedGenerators_FuelGenerators::GetFuelGeneratorCount() const
{
	return 0;
}

void AGameObjective_ActivatedGenerators_FuelGenerators::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(AGameObjective_ActivatedGenerators_FuelGenerators, _standardGeneratorCount);
	DOREPLIFETIME(AGameObjective_ActivatedGenerators_FuelGenerators, _fuelGeneratorCount);
}

AGameObjective_ActivatedGenerators_FuelGenerators::AGameObjective_ActivatedGenerators_FuelGenerators()
{
	this->_standardGeneratorCount = 0;
	this->_fuelGeneratorCount = 0;
}
